<template>
  <div class="container-fluid">
    <div class="row">
      <Header />
    </div>
    <div class="row">
      <div class="user-panel">
        <navigation></navigation>
      </div>

      <div class="two-panel">
        <!-- <div class="top-panel">
          <a href=""
            ><img src="@/assets/img/icon/notifications.svg" alt=""
          /></a>
        </div> -->

        <div class="builder-panel col-sm-8">
          <build-panel></build-panel>
        </div>

        <div class="source-panel col-sm-4">
          <source-panel></source-panel>
        </div>
      </div>
    </div>

    <div class="row">
      <Footer />
    </div>
  </div>
</template>

<script>
import Header from "./Header";
import BuildPanel from "./BuildPanel";
import SourcePanel from "./SourcePanel";
import Navigation from "./Navigation";
import Footer from "./Footer";
import { ModalBus } from "../eventBus";
import Alert from "@/components/Alert";
export default {
  data() {
    return {
      hero_image: null,
      screenwidth: null
    };
  },
  components: {
    Header,
    Navigation,
    BuildPanel,
    SourcePanel,
    Footer
  },
  created() {
    this.screenwidth = window.innerWidth;
  },
  beforeDestroy() {
    window.onbeforeunload = function(e) {
      localStorage.removeItem("savedata");
    };
  },

  watch: {
    screenwidth() {
      if (this.screenwidth < 1012) {
        const props = {
          type: "",
          text: ""
        };
        props.type = "warning";
        props.text = "Require larger screens for best responseve";
        ModalBus.$emit("open", {
          component: Alert,
          title: "Warning",
          mode: "fiftyPercent",
          props
        });
      }
    }
  },
  methods: {
    outside(e) {
      this.hero_image = e.data.hero_image;
    }
  }
};
</script>

<style>
.header {
  display: inline-block;
}

.sourcePanel {
  display: inline-block;
}
.buildPanel {
  display: inline-block;
}

.footer {
  display: inline-block;
}
</style>

<style scoped>
@import "../assets/css/rs-styles.css";
@import "../assets/css/rs-style-bootstrap.css";
/* @import "https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"; */
</style>
